package com.dev.swms.server.service.base;

import java.util.List;

import org.springframework.transaction.annotation.Transactional;

import com.dev.swms.server.model.base.BillType;
import com.dev.energy.server.service.BaseManager;


@Transactional(readOnly = true)
public interface BillTypeManager extends BaseManager {
	@Transactional
	void storeBillType(BillType billType);
	
	@Transactional
	void deleteBillType(List<Long> billTypeIds);
	@Transactional
	void unUsableProduceMonthPlan(List<Long> ids);
	@Transactional
	void usableProduceMonthPlan(List<Long> ids);
	
	@Transactional
	void activeBillType(List<Long> billTypeIds);
	@Transactional
	void createPickYjh(List<Long> pickTicketIds,int fs);
	@Transactional
	void activePlan (List<Long> ids);
	@Transactional
	void unActivePlan (List<Long> ids);
	@Transactional
	void updatePrintXppRecord (Long id,int qty);
	
	@Transactional
	void updatePlanPick (Long id,double qty,String des);
}
